details {
  position: relative;
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size-very-small);
  width: 100%;
  z-index: 1003;
  padding: 8px;

  summary {
    background: var(--details);
    color: var(--details-text);
    box-shadow: 2px 2px 0 var(--details-shadow);
    border: 1px solid var(--details-shadow);
    padding: var(--spacing);
    border-radius: 50%;
    width: 16px;
    height: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    list-style: none;
    transition: all 330ms linear;

    &::-webkit-details-marker,
    &::marker {
      display: none;
    }

    .help-icon {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }

  .details-content {
    background: var(--details);
    color: var(--details-text);
    position: absolute;
    top: 0;
    left: 0;
    padding: 8px;
    padding-top: 50px;
    border: 1px solid var(--details-shadow);
    border-radius: 8px;
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-very-small);
    z-index: -1;

    * {
      font-family: inherit !important;
      font-size: inherit;
    }
  }

  &[open] {
    summary {
      background: var(--details-shadow);
      box-shadow: 0px 0px 0 var(--details-shadow);
    }

    .details-content {
      animation: slideIn 0.5s ease-in-out;
    }
  }
}

@keyframes slideIn {
  0% {
    opacity: 0;
    transform: translateY(-5%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}

label + details.right {
  position: absolute;
  top: -2px;
  right: -8px;
  width: auto;

  .details-content {
    left: unset;
    right: 0;
    width: 240px;
  }
}
